## org.apache.poi.xslf.usermodel
Class XSLFTextBox

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFTextShape
                  org.apache.poi.xslf.usermodel.XSLFAutoShape
                      org.apache.poi.xslf.usermodel.XSLFTextBox

All Implemented Interfaces:
  java.lang.Iterable<XSLFTextParagraph>

    @Beta
    public class XSLFTextBox

extends XSLFAutoShape

Author:
  Yegor Kozlov

Method Summary

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFAutoShape
`getTextBody, toString`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFTextShape

`addNewTextParagraph, clearText, drawContent, getBottomInset, getLeftInset, getRightInset, getText, getTextAutofit, getTextBodyPr, getTextDirection, getTextHeight, getTextParagraphs, getTextType, getTopInset, getVerticalAlignment, getWordWrap, iterator, resizeToFitText, setBottomInset, setLeftInset, setPlaceholder, setRightInset, setText, setTextAutofit, setTextDirection, setTopInset, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`draw, getAnchor, getCTPlaceholder, getFillColor, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, getXmlObject, setAnchor, setFillColor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.